## libkf5kipi 15.12.3

=== pics/CMakeLists.txt ===
#
# Copyright (c) 2010-2014, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

ecm_install_icons(
    ICONS
        128-apps-kipi.png
        16-apps-kipi.png
        22-apps-kipi.png
        32-apps-kipi.png
        48-apps-kipi.png
    DESTINATION ${ICON_INSTALL_DIR}
)

install(FILES kipi-plugins_logo.png
              kipi-icon.svg
              kipi-logo.svg
        DESTINATION
              ${KDE_INSTALL_DATADIR_KF5}/kipi/pics
)

=== src/CMakeLists.txt ===
#
# Copyright (c) 2010-2015, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libkipi_config.h.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/libkipi_config.h)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR}/..)

set(kipi_LIB_SRCS interface.cpp
                  imagecollection.cpp
                  imagecollectionshared.cpp
                  imageinfoshared.cpp
                  plugin.cpp
                  imageinfo.cpp
                  uploadwidget.cpp
                  imagecollectionselector.cpp
                  configwidget.cpp
                  pluginloader.cpp
                  libkipi_debug.cpp
)

ecm_generate_headers(kipi_CamelCase_HEADERS

                     HEADER_NAMES
                     Plugin
                     PluginLoader
                     Interface
                     ImageInfo
                     ImageCollection
                     ImageInfoShared
                     ImageCollectionShared
                     ImageCollectionSelector
                     UploadWidget
                     ConfigWidget

                     PREFIX           KIPI
                     REQUIRED_HEADERS kipi_HEADERS
)

add_library(KF5Kipi SHARED ${kipi_LIB_SRCS})
add_library(KF5::Kipi ALIAS KF5Kipi)

generate_export_header(KF5Kipi BASE_NAME libkipi EXPORT_MACRO_NAME LIBKIPI_EXPORT)

# disable adding of current source directory to interface, as it causes naming clashes
set(CMAKE_INCLUDE_CURRENT_DIR_IN_INTERFACE OFF)

target_include_directories(KF5Kipi INTERFACE
                           "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/KIPI;${KF5_INCLUDE_INSTALL_DIR}/KIPI/kipi>"
                           "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
)

target_link_libraries(KF5Kipi
                      PUBLIC
                      Qt5::Gui
                      Qt5::Widgets

                      KF5::XmlGui
                      KF5::Service
                      KF5::ConfigCore
)

set_target_properties(KF5Kipi     PROPERTIES
                      VERSION     ${KIPI_VERSION_STRING}
                      SOVERSION   ${KIPI_SOVERSION}
                      EXPORT_NAME Kipi
)

install(TARGETS KF5Kipi
        EXPORT  KF5KipiTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}
)


# desktop file which define plugin service model, used by tools from kipi-plugins.
install(FILES kipiplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

install(FILES       ${kipi_CamelCase_HEADERS}
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KIPI/KIPI
        COMPONENT   Devel
)

install(FILES       ${kipi_HEADERS}
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KIPI/kipi
        COMPONENT   Devel
)


install(FILES       ${CMAKE_CURRENT_BINARY_DIR}/libkipi_export.h
                    ${CMAKE_CURRENT_BINARY_DIR}/libkipi_config.h
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KIPI/kipi
        COMPONENT   Devel
)

install(FILES       "${CMAKE_CURRENT_BINARY_DIR}/libkipi_version.h"
        DESTINATION "${KF5_INCLUDE_INSTALL_DIR}"
        COMPONENT   Devel
)

=== tests/CMakeLists.txt ===
#
# Copyright (c) 2010-2015, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

if (POLICY CMP0063)
    cmake_policy(SET CMP0063 NEW)
endif (POLICY CMP0063)

find_package(KF5KDcraw 5.0.0)
find_package(KF5KExiv2 5.0.0)

if(KF5KDcraw_FOUND)
    message(STATUS "libkdcraw detected : test Kipi interface will support Raw processing")
    add_definitions(-DHAVE_KDCRAW)
else()
    message(STATUS "libkdcraw not detected : test Kipi interface will not support Raw processing")
endif()

if(KF5KExiv2_FOUND)
    message(STATUS "libkexiv2 detected : test Kipi interface will support Metadata processing")
    add_definitions(-DHAVE_KDEXIV2)
else()
    message(STATUS "libkkexiv2 not detected : test Kipi interface will not support Metadata processing")
endif()

include_directories(${CMAKE_CURRENT_BINARY_DIR}/..
                    ${CMAKE_CURRENT_BINARY_DIR}/../src
                    ${CMAKE_CURRENT_SOURCE_DIR}/../src
                    ${CMAKE_CURRENT_SOURCE_DIR}/common
                    ${CMAKE_CURRENT_SOURCE_DIR}/kxmlkipicmd
)

add_subdirectory(plugins)

#----------------------------------------------------------------------------------------------------

set(kxmlkipicmd_SRCS
    common/kipiinterface.cpp
    common/kipiimagecollectionshared.cpp
    common/kipiimageinfoshared.cpp
    common/kipiimagecollectionselector.cpp
    common/kipiuploadwidget.cpp
    kxmlkipicmd/kipitestmainwindow.cpp
    kxmlkipicmd/kipitestpluginloader.cpp
    kxmlkipicmd/kipisetup.cpp
    kxmlkipicmd/main.cpp
)

add_executable(kxmlkipicmd ${kxmlkipicmd_SRCS})

target_link_libraries(kxmlkipicmd
                      Qt5::Core
                      Qt5::Gui
                      KF5Kipi
)

if(KF5KDcraw_FOUND)
    target_link_libraries(kxmlkipicmd KF5::KDcraw)
endif()

if(KF5KExiv2_FOUND)
    target_link_libraries(kxmlkipicmd KF5::KExiv2)
endif()

install(TARGETS kxmlkipicmd                           DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES   kxmlkipicmd/kxmlkipicmd_defaultui.rc  DESTINATION ${DATA_INSTALL_DIR}/kxmlkipicmd)
install(FILES   kxmlkipicmd/kxmlkipicmd_gwenviewui.rc DESTINATION ${DATA_INSTALL_DIR}/kxmlkipicmd)

#----------------------------------------------------------------------------------------------------

set(kipicmd_SRCS
    common/kipiinterface.cpp
    common/kipiimagecollectionshared.cpp
    common/kipiimageinfoshared.cpp
    common/kipiimagecollectionselector.cpp
    common/kipiuploadwidget.cpp
    kipicmd/main.cpp
)

add_executable(kipicmd ${kipicmd_SRCS})

target_link_libraries(kipicmd
                      Qt5::Core
                      Qt5::Gui
                      KF5Kipi
)

if(KF5KDcraw_FOUND)
    target_link_libraries(kipicmd KF5::KDcraw)
endif()

if(KF5KExiv2_FOUND)
    target_link_libraries(kipicmd KF5::KExiv2)
endif()

=== debian/changelog ===
libkf5kipi (15.12.3-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream bugfix release
  * refresh symbols. 
  * New upstream bugfix release

  [ Philip Muškovac ]
  * Bump the breaks/replaces on libkipi to 4:15.08.3-0ubuntu1~ to support
    ppa upgrades

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:19:57 -0700

libkf5kipi (15.12.1-1ubuntu2) xenial; urgency=medium

  * Only break libkipi-data << 4:15.08.2-0ubuntu2~ now that the png files were
    removed to keep the packages coninstallable

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 21 Mar 2016 15:20:55 +0100

libkf5kipi (15.12.1-1ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release
  * Merged with Debian
  * Updating symbols file

  [ Scarlett Clark ]
  * Add new build dep. 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:28:39 +0100

libkf5kipi (15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:54 +0100

libkipi (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:01 +0100

libkipi (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:57:54 +0100

libkipi (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:41:32 +0100

libkipi (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:50:00 +0100

libkipi (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:26:13 +0100

libkipi (4:15.04.2-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.04.2).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 30 Aug 2015 23:40:45 +0200

libkipi (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * wrap-and-sort 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 22:29:58 +0200

libkipi (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:33:13 -0700

libkipi (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Feb 2015 08:55:16 +0100

libkipi (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove unstable from watch file, uscan fails with
    remote site does not even have current version
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:36:37 -0800

libkipi (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream RC release
  * Merge with Debian, remaining changes:
   - not-installed
   - New files in libkipi-data.install
  * Update symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 01 Dec 2014 18:03:50 +0100

libkipi (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Jul 2014 10:30:40 +0200

libkipi (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Improve kxmlkipicmd description, thanks to Scott Kitterman.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 May 2014 19:37:24 +0200

libkipi (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:24:56 -0700

libkipi (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:46:44 +0200

libkipi (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:32:28 +0200

libkipi (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:22:17 +0200

libkipi (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:46:39 +0200

libkipi (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Add debian/not-installed for test file
  * Add new files to libkipi-data.install

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:36:32 +0200

libkipi (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:07:11 +0100

libkipi (4:4.13.1-1ubuntu1) utopic; urgency=medium

  * Merge with debian, no remaining changes

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 22 May 2014 16:59:15 +0200

libkipi (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:22:02 +0100

libkipi (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:49:25 +0200

libkipi (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:48:54 +0100

libkipi (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:54:48 +0000

libkipi (4:4.12.3-2) unstable; urgency=medium

  * Release to unstable
  * Add new binary package kxmlkipicmd.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:24 +0200

libkipi (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.



=== debian/control ===
Source: libkf5kipi
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.1.0~),
               libkf5config-dev (>= 5.1.0~),
               libkf5i18n-dev (>= 5.1.0~),
               libkf5kdcraw-dev (>= 15.12.0),
               libkf5kexiv2-dev (>= 5.0.0~),
               libkf5service-dev (>= 5.1.0~),
               libkf5xmlgui-dev (>= 5.1.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/libkipi.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/libkipi.git

Package: libkf5kipi-dev
Section: libdevel
Architecture: any
Depends: libkf5kipi30.0.0 (= ${binary:Version}), pkg-config, ${misc:Depends}
Conflicts: libkipi0-dev, libkipi5-dev, libkipi6-dev, libkipi7-dev
Description: KDE Image Plugin Interface library -- development files
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only these), batch editing, etc.
 .
 These services are used in graphics applications such as gwenview, digiKam,
 kphotoalbum, and ksnapshot.
 .
 This package provides the development files for using the kipi library,
 and documentation for it (in the header files).

Package: libkf5kipi30.0.0
Architecture: any
Depends: libkf5kipi-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE Image Plugin Interface library
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only these), batch editing, etc.
 .
 These services are used in graphics applications such as gwenview, digiKam,
 kphotoalbum, and ksnapshot.
 .
 This package provides the kipi library.

Package: libkf5kipi-data
Architecture: all
Depends: ${misc:Depends}
Replaces: kdegraphics-libs-data (<< 4:4.6.80),
          libkdcraw5,
          libkipi-data (<< 4:15.08.3-0ubuntu1~),
          libkipi0,
          libkipi5,
          libkipi6
Breaks: kdegraphics-libs-data (<< 4:4.6.80),
        libkipi-data (<< 4:15.08.3-0ubuntu1~),
        libkipi0,
        libkipi5,
        libkipi6
Description: KDE Image Plugin Interface library -- data files
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only these), batch editing, etc.
 .
 These services are used in graphics applications such as gwenview, digiKam,
 kphotoalbum, and ksnapshot.
 .
 This package contains the data files of the kipi library.

Package: libkf5kipi-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kxmlkipicmd
Replaces: kxmlkipicmd
Description: KDE Image Plugin Interface - runtime tools
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only these), batch editing, etc.
 .
 These services are used in graphics applications such as gwenview, digiKam,
 kphotoalbum, and ksnapshot.
 .
 This package provides kxmlkipicmd which allows one to start kipi-plugins from
 the command line.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/libkipi-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/libkipi-([\d.]+).tar.xz

## libkf5kipi 16.04.3

=== debian/changelog ===
libkf5kipi (16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * Add missing dep to libjpeg-dev. 
  * Add missing dep to libpng-dev. 
  * Add missing dep to libtiff4-dev 
  * Bump SO version to 31.0.0 
  * New upstream bugfix release. 
  * Fix install file. 
  * Remove the files that no longer exist from install. 

  [ Clive Johnston ]
  * Adding breaks/replace for libkf5kipi30.0.0 
  * New upstream release 16.04.2
  * New upstream release (16.04.3)

  [ José Manuel Santamaría Lema ]
  * New updated symbols file due to soversion bump.
  * Change debian/rules to pass '-xlibkf5kipi-bin' instead of '-xkde-
    runtime'. The '-xkde-runtime' was meant to avoid circular
    dependencies when libkipi was based on kdelibs 4, now that is ported
    to frameworks the right package to exclude is libkf5kipi-bin.
  * Move usr/lib/*/qt5/plugins/kipiplugin_kxmlhelloworld.so from
    libkf5kipi31.0.0 to libkf5kipi-bin.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:27:28 +0200

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,28 @@
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.1.0~),
-               libkf5config-dev (>= 5.1.0~),
-               libkf5i18n-dev (>= 5.1.0~),
-               libkf5kdcraw-dev (>= 15.12.0),
-               libkf5kexiv2-dev (>= 5.0.0~),
-               libkf5service-dev (>= 5.1.0~),
-               libkf5xmlgui-dev (>= 5.1.0~),
+               extra-cmake-modules (>= 5.24.0~),
+               libjpeg-dev,
+               libkf5config-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5kdcraw-dev (>= 16.04.3~),
+               libkf5kexiv2-dev (>= 16.04.3~),
+               libkf5service-dev (>= 5.24.0~),
+               libkf5xmlgui-dev (>= 5.24.0~),
+               libpng-dev,
+               libtiff-dev,
+               libtiff5-dev,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.2.0~)
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/libkipi.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/libkipi.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkipi
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkipi
 
 Package: libkf5kipi-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kipi30.0.0 (= ${binary:Version}), pkg-config, ${misc:Depends}
+Depends: libkf5kipi31.0.0 (= ${binary:Version}), pkg-config, ${misc:Depends}
 Conflicts: libkipi0-dev, libkipi5-dev, libkipi6-dev, libkipi7-dev
 Description: KDE Image Plugin Interface library -- development files
  Libkipi is a KDE library that provides a common interface for operations
@@ -35,7 +39,7 @@
  This package provides the development files for using the kipi library,
  and documentation for it (in the header files).
 
-Package: libkf5kipi30.0.0
+Package: libkf5kipi31.0.0
 Architecture: any
 Depends: libkf5kipi-data (>= ${source:Version}),
          ${misc:Depends},
@@ -77,8 +81,12 @@
 Package: libkf5kipi-bin
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: kxmlkipicmd
-Replaces: kxmlkipicmd
+Breaks: kxmlkipicmd,
+        libkf5kipi30.0.0,
+        libkf5kipi31.0.0 (<= 16.04.3-0ubuntu1~ubuntu16.10~ppa50)
+Replaces: kxmlkipicmd,
+          libkf5kipi30.0.0,
+          libkf5kipi31.0.0 (<= 16.04.3-0ubuntu1~ubuntu16.10~ppa50)
 Description: KDE Image Plugin Interface - runtime tools
  Libkipi is a KDE library that provides a common interface for operations
  on images such as manipulation, organization, importing from and exporting

## libkf5kipi 16.08.2

=== debian/changelog ===
libkf5kipi (4:16.08.2-1) unstable; urgency=medium

  * New upstream release (16.08.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 00:15:03 +0200

libkf5kipi (4:16.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the cmake build dependency to >= 3.0.0, according to the upstream
    build system.
  * Update install files.
  * Do not install the kxmlhelloworld plugin, since it is only a test plugin.
  * Since libkf5kipi-bin is now empty, remove it from the shlib dependency
    injected with symbols files: this is needed as binaries linked with
    libkf5kipi have the libkf5kipi-bin dependency as well.
    - remove no more needed breaks/replaces from it
    - tweak its description
  * Drop the kde-runtime exclusion from shlibs, since it was for kdelibs 4.x
    libraries.
  * Drop the extra pkg-config dependency in libkf5kipi-dev.

 -- Pino Toscano <pino@debian.org>  Sun, 28 Aug 2016 12:13:34 +0200

libkf5kipi (16.04.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 14:36:08 +0200

libkf5kipi (16.04.0-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update symbols files from buildds logs (15.12.1-1).
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Bump soversion, move plugin to the bin package
  * Update install files
  * Update symbols file
  * Migrate to the default png version

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 May 2016 11:11:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,30 +3,28 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12~),
+Build-Depends: cmake (>= 3.0.0),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
+               extra-cmake-modules (>= 1.1.0~),
                libjpeg-dev,
-               libkf5config-dev (>= 5.24.0~),
-               libkf5i18n-dev (>= 5.24.0~),
-               libkf5kdcraw-dev (>= 16.04.3~),
-               libkf5kexiv2-dev (>= 16.04.3~),
-               libkf5service-dev (>= 5.24.0~),
-               libkf5xmlgui-dev (>= 5.24.0~),
+               libkf5config-dev (>= 5.1.0~),
+               libkf5i18n-dev (>= 5.1.0~),
+               libkf5kexiv2-dev (>= 5.0.0~),
+               libkf5service-dev (>= 5.1.0~),
+               libkf5xmlgui-dev (>= 5.1.0~),
                libpng-dev,
                libtiff-dev,
-               libtiff5-dev,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
-Standards-Version: 3.9.6
+               qtbase5-dev (>= 5.2.0~)
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkipi
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkipi
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkipi.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkipi.git
 
 Package: libkf5kipi-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kipi31.0.0 (= ${binary:Version}), pkg-config, ${misc:Depends}
+Depends: libkf5kipi31.0.0 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libkipi0-dev, libkipi5-dev, libkipi6-dev, libkipi7-dev
 Description: KDE Image Plugin Interface library -- development files
  Libkipi is a KDE library that provides a common interface for operations
@@ -59,12 +57,12 @@
 Depends: ${misc:Depends}
 Replaces: kdegraphics-libs-data (<< 4:4.6.80),
           libkdcraw5,
-          libkipi-data (<< 4:15.08.3-0ubuntu1~),
+          libkipi-data,
           libkipi0,
           libkipi5,
           libkipi6
 Breaks: kdegraphics-libs-data (<< 4:4.6.80),
-        libkipi-data (<< 4:15.08.3-0ubuntu1~),
+        libkipi-data,
         libkipi0,
         libkipi5,
         libkipi6
@@ -81,12 +79,6 @@
 Package: libkf5kipi-bin
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: kxmlkipicmd,
-        libkf5kipi30.0.0,
-        libkf5kipi31.0.0 (<= 16.04.3-0ubuntu1~ubuntu16.10~ppa50)
-Replaces: kxmlkipicmd,
-          libkf5kipi30.0.0,
-          libkf5kipi31.0.0 (<= 16.04.3-0ubuntu1~ubuntu16.10~ppa50)
 Description: KDE Image Plugin Interface - runtime tools
  Libkipi is a KDE library that provides a common interface for operations
  on images such as manipulation, organization, importing from and exporting
@@ -95,5 +87,4 @@
  These services are used in graphics applications such as gwenview, digiKam,
  kphotoalbum, and ksnapshot.
  .
- This package provides kxmlkipicmd which allows one to start kipi-plugins from
- the command line.
+ This package provides runtime utilities.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/libkipi-([\d.]+).tar.xz

## libkf5kipi 16.12.3

=== debian/changelog ===
libkf5kipi (16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:25:28 +0000

libkf5kipi (16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Clive Johnston ]
  * Bumping to libkf5kipi32
  * Removing libkf5kipi-bin as files no longer being built

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Removed libkf5kipi-bin no longer needs shlib dependency injected
    with symbols files
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:14:09 +0000

=== debian/control ===
Source: libkf5kipi
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libjpeg-dev,
               libkf5config-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kdcraw-dev (>= 16.12.3~),
               libkf5kexiv2-dev (>= 16.12.3~),
               libkf5service-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libpng-dev,
               libtiff-dev,
               libtiff5-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkipi
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkipi

Package: libkf5kipi-dev
Section: libdevel
Architecture: any
Depends: libkf5kipi32.0.0 (= ${binary:Version}), pkg-config, ${misc:Depends}
Conflicts: libkipi0-dev, libkipi5-dev, libkipi6-dev, libkipi7-dev
Description: KDE Image Plugin Interface library -- development files
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only these), batch editing, etc.
 .
 These services are used in graphics applications such as gwenview, digiKam,
 kphotoalbum, and ksnapshot.
 .
 This package provides the development files for using the kipi library,
 and documentation for it (in the header files).

Package: libkf5kipi32.0.0
Architecture: any
Depends: libkf5kipi-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE Image Plugin Interface library
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only these), batch editing, etc.
 .
 These services are used in graphics applications such as gwenview, digiKam,
 kphotoalbum, and ksnapshot.
 .
 This package provides the kipi library.

Package: libkf5kipi-data
Architecture: all
Depends: ${misc:Depends}
Replaces: kdegraphics-libs-data (<< 4:4.6.80),
          libkdcraw5,
          libkipi-data (<< 4:15.08.3-0ubuntu1~),
          libkipi0,
          libkipi5,
          libkipi6
Breaks: kdegraphics-libs-data (<< 4:4.6.80),
        libkipi-data (<< 4:15.08.3-0ubuntu1~),
        libkipi0,
        libkipi5,
        libkipi6
Description: KDE Image Plugin Interface library -- data files
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only these), batch editing, etc.
 .
 These services are used in graphics applications such as gwenview, digiKam,
 kphotoalbum, and ksnapshot.
 .
 This package contains the data files of the kipi library.

## libkf5kipi 17.04.3

=== debian/changelog ===
libkf5kipi (17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:29:25 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
                libjpeg-dev,
                libkf5config-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5kdcraw-dev (>= 16.12.3~),
-               libkf5kexiv2-dev (>= 16.12.3~),
+               libkf5kdcraw-dev (>= 17.04.3~),
+               libkf5kexiv2-dev (>= 17.04.3~),
                libkf5service-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                libpng-dev,

## libkf5kipi 17.08.3

=== debian/changelog ===
libkf5kipi (4:17.08.3-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:48:57 +0800

libkf5kipi (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (see #883624)

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Replace ksnapshot with spectacle in descriptions.
  * Remove all the libkipi*-dev conflicts from libkf5kipi-dev, since they are
    not conflicting anymore.
  * Remove the libkf5kipi30.0.0, and libkf5kipi31.0.0 breaks/replaces from
    libkf5kipi32.0.0, since they have no files in common.
  * Disable the building of tests, since there are no actual unit tests, but
    only a test plugin
    - pass -DBUILD_TESTING=OFF to cmake
    - remove debian/not-installed, no more useful
    - remove the now unused build dependencies: libkf5kexiv2-dev, libjpeg-dev,
      libpng-dev, and libtiff-dev

  [ Helmut Grohne ]
  * Mark libkf5kipi-data Multi-Arch: foreign. (Closes: #880459)

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 09:53:37 +0100

libkf5kipi (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1).
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Sep 2017 22:41:27 +0200

libkf5kipi (17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:04:45 +0000

libkf5kipi (17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:46:24 +0000

libkf5kipi (17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:25:18 +0000

libkf5kipi (17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:24:28 +0000

libkf5kipi (17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:27:09 +0000

libkf5kipi (17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Apr 2017 09:36:34 +0000

libkf5kipi (16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:51:02 +0000

libkf5kipi (16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:04:01 +0000

libkf5kipi (16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:24:33 +0000

libkf5kipi (16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:32:05 +0000

libkf5kipi (16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:55:44 +0000

libkf5kipi (16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:41:26 +0000

libkf5kipi (16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:08:16 +0000

libkf5kipi (16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:50:30 +0000

libkf5kipi (16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:36:53 +0000

libkf5kipi (16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 15 Jun 2016 14:45:48 +0000

libkf5kipi (16.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 May 2016 10:57:26 +0000

=== debian/control ===
Source: libkf5kipi
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0.0),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.1.0~),
               libkf5config-dev (>= 5.1.0~),
               libkf5i18n-dev (>= 5.1.0~),
               libkf5service-dev (>= 5.1.0~),
               libkf5xmlgui-dev (>= 5.1.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~),
Standards-Version: 4.1.2
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkipi.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkipi.git

Package: libkf5kipi-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: kdegraphics-libs-data (<< 4:4.6.80),
          libkdcraw5,
          libkipi-data,
          libkipi0,
          libkipi5,
          libkipi6,
Breaks: kdegraphics-libs-data (<< 4:4.6.80),
        libkipi-data,
        libkipi0,
        libkipi5,
        libkipi6,
Description: KDE Image Plugin Interface library -- data files
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only these), batch editing, etc.
 .
 These services are used in graphics applications such as gwenview, digiKam,
 kphotoalbum, and spectacle.
 .
 This package contains the data files of the kipi library.

Package: libkf5kipi-dev
Section: libdevel
Architecture: any
Depends: libkf5kipi32.0.0 (= ${binary:Version}), pkg-config, ${misc:Depends}
Description: KDE Image Plugin Interface library -- development files
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only these), batch editing, etc.
 .
 These services are used in graphics applications such as gwenview, digiKam,
 kphotoalbum, and spectacle.
 .
 This package provides the development files for using the kipi library,
 and documentation for it (in the header files).

Package: libkf5kipi32.0.0
Architecture: any
Depends: libkf5kipi-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE Image Plugin Interface library
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only these), batch editing, etc.
 .
 These services are used in graphics applications such as gwenview, digiKam,
 kphotoalbum, and spectacle.
 .
 This package provides the kipi library.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/applications/([\d.]+)/src/libkipi-([\d.]+)\.tar\.xz

## libkf5kipi 17.12.3

=== pics/CMakeLists.txt ===
#
# Copyright (c) 2010-2016, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

ecm_install_icons(
    ICONS
        128-apps-kipi.png
        16-apps-kipi.png
        22-apps-kipi.png
        32-apps-kipi.png
        48-apps-kipi.png
    DESTINATION ${ICON_INSTALL_DIR}
)

=== tests/CMakeLists.txt ===
#
# Copyright (c) 2010-2017, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

if (POLICY CMP0063)
    cmake_policy(SET CMP0063 NEW)
endif (POLICY CMP0063)

find_package(JPEG REQUIRED)
find_package(PNG  REQUIRED)
find_package(TIFF REQUIRED)

include_directories(${JPEG_INCLUDE_DIR} ${PNG_INCLUDE_DIR} ${TIFF_INCLUDE_DIR})

find_package(KF5KExiv2 5.0.0 QUIET)

if(KF5KExiv2_FOUND)
    message(STATUS "libkexiv2 detected : test Kipi interface will support Metadata processing")
    add_definitions(-DHAVE_KEXIV2)
else()
    message(STATUS "libkexiv2 not detected : test Kipi interface will not support Metadata processing")
endif()

include_directories(${CMAKE_CURRENT_BINARY_DIR}/..
                    ${CMAKE_CURRENT_BINARY_DIR}/../src
                    ${CMAKE_CURRENT_SOURCE_DIR}/../src
                    ${CMAKE_CURRENT_SOURCE_DIR}/imageio
                    ${CMAKE_CURRENT_SOURCE_DIR}/common
                    ${CMAKE_CURRENT_SOURCE_DIR}/kxmlkipicmd
)

set(kipicommon_SRCS
    common/kipiwritehelp.cpp
    common/kipiwriteimage.cpp
    common/kipiinterface.cpp
    common/kipiimagecollectionshared.cpp
    common/kipiimageinfoshared.cpp
    common/kipiimagecollectionselector.cpp
    common/kipiuploadwidget.cpp
)

add_subdirectory(plugins)

#----------------------------------------------------------------------------------------------------

set(kxmlkipicmd_SRCS
    ${kipicommon_SRCS}
    kxmlkipicmd/kipitestmainwindow.cpp
    kxmlkipicmd/kipitestpluginloader.cpp
    kxmlkipicmd/kipisetup.cpp
    kxmlkipicmd/main.cpp
)

add_executable(kxmlkipicmd ${kxmlkipicmd_SRCS})

target_link_libraries(kxmlkipicmd
                      ${JPEG_LIBRARIES}
                      ${TIFF_LIBRARIES}
                      ${PNG_LIBRARIES}
                      Qt5::Core
                      Qt5::Gui
                      KF5Kipi
)

if(KF5KExiv2_FOUND)
    target_link_libraries(kxmlkipicmd KF5::KExiv2)
endif()

# Given as example. Do not install any files with from test code.
#install(TARGETS kxmlkipicmd                           DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})
#install(FILES   kxmlkipicmd/kxmlkipicmd_defaultui.rc  DESTINATION ${DATA_INSTALL_DIR}/kxmlkipicmd)
#install(FILES   kxmlkipicmd/kxmlkipicmd_gwenviewui.rc DESTINATION ${DATA_INSTALL_DIR}/kxmlkipicmd)

#----------------------------------------------------------------------------------------------------

set(kipicmd_SRCS
    ${kipicommon_SRCS}
    kipicmd/main.cpp
)

add_executable(kipicmd ${kipicmd_SRCS})

target_link_libraries(kipicmd
                      ${JPEG_LIBRARIES}
                      ${TIFF_LIBRARIES}
                      ${PNG_LIBRARIES}
                      Qt5::Core
                      Qt5::Gui
                      KF5Kipi
)

if(KF5KExiv2_FOUND)
    target_link_libraries(kipicmd KF5::KExiv2)
endif()

=== debian/changelog ===
libkf5kipi (17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:32:54 +0000

libkf5kipi (17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:02:34 +0000

libkf5kipi (17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:12:27 +0000

=== debian/control ===
Source: libkf5kipi
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libjpeg-dev,
               libkf5config-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kdcraw-dev (>= 17.12.3~),
               libkf5kexiv2-dev (>= 17.12.3~),
               libkf5service-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libpng-dev,
               libtiff-dev,
               libtiff5-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkipi
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkipi

Package: libkf5kipi-dev
Section: libdevel
Architecture: any
Depends: libkf5kipi32.0.0 (= ${binary:Version}), pkg-config, ${misc:Depends}
Conflicts: libkipi0-dev, libkipi5-dev, libkipi6-dev, libkipi7-dev
Description: KDE Image Plugin Interface library -- development files
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only these), batch editing, etc.
 .
 These services are used in graphics applications such as gwenview, digiKam,
 kphotoalbum, and ksnapshot.
 .
 This package provides the development files for using the kipi library,
 and documentation for it (in the header files).

Package: libkf5kipi32.0.0
Architecture: any
Depends: libkf5kipi-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE Image Plugin Interface library
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only these), batch editing, etc.
 .
 These services are used in graphics applications such as gwenview, digiKam,
 kphotoalbum, and ksnapshot.
 .
 This package provides the kipi library.

Package: libkf5kipi-data
Architecture: all
Depends: ${misc:Depends}
Replaces: kdegraphics-libs-data (<< 4:4.6.80),
          libkdcraw5,
          libkipi-data (<< 4:15.08.3-0ubuntu1~),
          libkipi0,
          libkipi5,
          libkipi6
Breaks: kdegraphics-libs-data (<< 4:4.6.80),
        libkipi-data (<< 4:15.08.3-0ubuntu1~),
        libkipi0,
        libkipi5,
        libkipi6
Description: KDE Image Plugin Interface library -- data files
 Libkipi is a KDE library that provides a common interface for operations
 on images such as manipulation, organization, importing from and exporting
 to online services (and not only these), batch editing, etc.
 .
 These services are used in graphics applications such as gwenview, digiKam,
 kphotoalbum, and ksnapshot.
 .
 This package contains the data files of the kipi library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_shlibdeps:
	$(overridden_command) $(foreach p,$(shell dh_listpackages | grep ^lib),-p$p) -- -xlibkf5kipi-bin
	$(overridden_command) --remaining-packages

## libkf5kipi 18.04.3

=== debian/changelog ===
libkf5kipi (18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)
  * debian/not-installed: Update to format required by dh_missing

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:22:54 +0100

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
                libjpeg-dev,
                libkf5config-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5kdcraw-dev (>= 17.12.3~),
-               libkf5kexiv2-dev (>= 17.12.3~),
+               libkf5kdcraw-dev (>= 18.04.3~),
+               libkf5kexiv2-dev (>= 18.04.3~),
                libkf5service-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                libpng-dev,
                libtiff-dev,
                libtiff5-dev,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkipi
